%global pypi_name weakrefmethod

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        3%{?dist}
Summary:        A WeakMethod class for storing bound methods using weak references

License:        Python
URL:            https://github.com/twang817/weakrefmethod
Source0:        https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python 3.4 include a ``WeakMethod`` class, for storing bound methods using weak
references 
(see the `Python weakref module 
<http://docs.python.org/library/weakref.html>`_).

This project is a backport of the WeakMethod class, and tests, for Python 2.6.
The tests require the `unittest2 package
<http://pypi.python.org/pypi/unittest2>`_.

%package -n     python2-%{pypi_name}
Summary:        A WeakMethod class for storing bound methods using weak references
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
BuildRequires:  python-traceback2

Requires:       python-setuptools
%description -n python2-%{pypi_name}
Python 3.4 include a ``WeakMethod`` class, for storing bound methods using weak
references
(see the `Python weakref module 
<http://docs.python.org/library/weakref.html>`_).

This project is a backport of the WeakMethod class, and tests, for Python 2.6.
The tests require the `unittest2 package 
<http://pypi.python.org/pypi/unittest2>`_.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build


%install

%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{pypi_name} 
%doc README.rst DESCRIPTION.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}/*
%{python2_sitelib}/*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Chandan Kumar <chkumar246@gmail.com> - 1.0.2-1
- Added LICENSE
- Bumped to version 1.0.2

* Tue Oct 06 2015 chandankumar <chkumar246@gmail.com> - 1.0.1-1
- Initial package.
